
__sfpath() {
    local cur prev opts
    COMPREPLY=()
    cur="${COMP_WORDS[COMP_CWORD]}"
    prev="${COMP_WORDS[COMP_CWORD-1]}"
    opts="--version --version-semver"
    COMPREPLY=(
        $(compgen -W "$opts" -- ${cur})
    )
}

__sfdoc() {
    local cur prev opts
    COMPREPLY=()
    cur="${COMP_WORDS[COMP_CWORD]}"
    prev="${COMP_WORDS[COMP_CWORD-1]}"
    args="--help --debug --include --ls --lsmod --lsfun --lsvar --export --name"
    COMPREPLY=(
        $(compgen -W "$args" -- ${cur})
    )
}

complete -F __sfpath sfpath
complete -F __sfdoc sfdoc
